### Method

# Gsk PathBuilderrel_conic_to

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_rel_conic_to (
      GskPathBuilder* self,
      float x1,
      float y1,
      float x2,
      float y2,
      float weight
    )

#### Description [src]

Adds a conic curve from the current point to `x2`, `y2` with the given `weight` and `x1`, `y1` as the control point.

All coordinates are given relative to the current point.

This is the relative version of `gsk_path_builder_conic_to()`.

Available since: 4.14

#### Parameters

`x1`

  Type: `float`

  X offset of control point.

`y1`

  Type: `float`

  Y offset of control point.

`x2`

  Type: `float`

  X offset of the end of the curve.

`y2`

  Type: `float`

  Y offset of the end of the curve.

`weight`

  Type: `float`

  Weight of the curve, must be greater than zero.